require "rails_helper"

RSpec.describe Origami::ProductCommissionsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/origami/product_commissions").to route_to("origami/product_commissions#index")
    end

    it "routes to #new" do
      expect(:get => "/origami/product_commissions/new").to route_to("origami/product_commissions#new")
    end

    it "routes to #show" do
      expect(:get => "/origami/product_commissions/1").to route_to("origami/product_commissions#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/origami/product_commissions/1/edit").to route_to("origami/product_commissions#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/origami/product_commissions").to route_to("origami/product_commissions#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/origami/product_commissions/1").to route_to("origami/product_commissions#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/origami/product_commissions/1").to route_to("origami/product_commissions#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/origami/product_commissions/1").to route_to("origami/product_commissions#destroy", :id => "1")
    end

  end
end
